Title: Embedded python - import readline throws exception
Type: crash Severity: normal
Components: Core Versions: Jython 2.7
Status: closed Resolution: invalid
Dependencies: Superseder:
Assigned To: Nosy List: alex.gronholm, gerlich, zyasoft
Priority: Keywords:

Created on 2014-09-15.06:58:07 by gerlich, last changed 2015-04-20.21:56:40 by zyasoft.

msg9003 (view) Author: Guy Erlich (gerlich) Date: 2014-09-15.06:58:06
Using embedded jython.
from interpreter, using execfile to call a script.
The script contains "import readline" which throws an exception:
ImportError: Cannot access JLineConsole reader

Same exact script works great when called from jython console
msg9785 (view) Author: Jim Baker (zyasoft) Date: 2015-04-10.02:05:52
ImportError is the proper exception if the readline module cannot be imported - it should not fail silently.

See for example
msg9847 (view) Author: Alex Grönholm (alex.gronholm) Date: 2015-04-14.19:19:16
Under what circumstances are you trying to use readline?
Date User Action Args
2015-04-20 21:56:40zyasoftsetstatus: pending -> closed
2015-04-14 19:19:16alex.gronholmsetnosy: + alex.gronholm
messages: + msg9847
2015-04-10 02:05:53zyasoftsetstatus: open -> pending
resolution: invalid
messages: + msg9785
nosy: + zyasoft
2014-09-15 06:58:07gerlichcreate